Api Documentation

Push notification tokens

Allows the creation of push notification tokens for users. These tokens will be used to send push notifications to users.
Saves a new pushtoken to current user login session
Json
XML
POST https://api.bundeling.com/V2/push_tokens

Parameters

Body

NameDescriptionTypeNillableRequired
tokenToken to insertstringfalsefalse
push_provider_uuidThe UUID of the push provider to usestringfalsefalse
platformThe platform of the device (e.g. iOS, Android)
Accepted values: iOS, Android, web
stringfalsefalse

Example request

Headers

Content-Type:application/json
Api-Key:RAegSX8yZfEbqSPM

Body

{
    "token": "a59874dbcd72408fbc372e96a5ecf21f",
    "push_provider_uuid": "bcd46e8e32124c05a1cc9f831f166784",
    "platform": "android"
}

Example response

{
    "uuid": "fcd46e8e32124c05a1cc9f831f166784",
    "token": "a59874dbcd72408fbc372e96a5ecf21f",
    "push_provider_uuid": "bcd46e8e32124c05a1cc9f831f166784"
}